# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-File-HomeDir
Version:	0.99
Release:	1.%{__distinit}%{__distvers}
Summary:	Find your home and other directories on any platform
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/File-HomeDir/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/File-HomeDir-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(File::Which) >= 0.05
BuildRequires:	perl(Test::CPAN::Meta) >= 0.17
# Test::MinimumVersion => Perl::MinimumVersion => Perl::Critic::Utils => File::HomeDir
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::MinimumVersion)
%endif
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Not always found automatically
Requires:	perl(File::Path)

%description
File::HomeDir is a module for locating the directories that are "owned"
by a user (typically your user) and to solve the various issues that
arise trying to find them consistently across a wide variety of
platforms.

%prep
%setup -q -n File-HomeDir-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="xt/*.t" AUTOMATED_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::HomeDir.3pm*
%{_mandir}/man3/File::HomeDir::Darwin.3pm*
%{_mandir}/man3/File::HomeDir::Darwin::Carbon.3pm*
%{_mandir}/man3/File::HomeDir::Darwin::Cocoa.3pm*
%{_mandir}/man3/File::HomeDir::Driver.3pm*
%{_mandir}/man3/File::HomeDir::FreeDesktop.3pm*
%{_mandir}/man3/File::HomeDir::MacOS9.3pm*
%{_mandir}/man3/File::HomeDir::Test.3pm*
%{_mandir}/man3/File::HomeDir::Unix.3pm*
%{_mandir}/man3/File::HomeDir::Windows.3pm*

%changelog
* Wed Jan 25 2012 Paul Howarth <paul@city-fan.org> - 0.99-1
- Update to 0.99
  - Updated to Module::Install 1.04
  - Removed deprecated interfaces from the documentation
  - Don't require music and video directories in FreeDesktop tests
  - The use of deprecated %%~ now emits a warning
- BR: perl(Config)

* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> - 0.98-2
- Rebuild for perl 5.14.1 in Rawhide
- Add support for perl_bootstrap macro
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jul  7 2011 Paul Howarth <paul@city-fan.org> - 0.98-1
- Update to 0.98
  - Updating to Module::Install 1.01
  - If Win32::GetFolderPath returns a \\UNC type path, do not do the normal -d
    sanity check, as strange and unusual bugs may occur
- Nobody else likes macros for commands

* Fri Mar 18 2011 Paul Howarth <paul@city-fan.org> - 0.97-2
- Import from Fedora

* Mon Feb 21 2011 Tom Callaway <spot@fedoraproject.org> - 0.97-1
- Update to 0.97

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.93-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Wed Sep 22 2010 Petr Pisar <ppisar@redhat.com> - 0.93-1
- 0.93 bump
- Consolidate dependencies
- Remove unversioned Requires
- Update Summary and Description
- Remove unneeded file permission fixes

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.86-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.86-3
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.86-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun  1 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.86-1
- Update for Padre

* Fri Mar 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.84-1
- Update to 0.84

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.82-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Marcela Mašláňová <mmaslano@redhat.com> - 0.82-1
- Update to the latest version for Padre editor

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.67-3
- Rebuild for perl 5.10 (again)

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.67-2
- Rebuild for new perl

* Wed Dec 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.67-1
- 0.67

* Fri Nov 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.66-1
- 0.66

* Wed May 30 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.65-1
- Update to 0.65

* Sat Feb 10 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.64-1
- Update to 0.64

* Thu Jan 11 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.63-1
- Update to 0.63

* Thu Jan  4 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.62-1
- Update to 0.62

* Thu Aug 03 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.58-1
- First build
